Comments have been closed on this page. Please use AppMon & UEM Open Q & A forum for questions about this plugin.

Because some of the easyTravel components are delivered in 32-bit even if you use a 64-bit package (for example Apache HTTPd) or if you want to run the 32-bit package of easyTravel on a 64-bit Linux system, you will likely need some system libraries in their 32-bit variant.

If you specify a custom location for the Agent library in easyTravelConfig.properties, you will need to use the path with "lib64" for the other components, but still need to use "lib" for the Apache WebServer Agent.

 

To run 32bit Apache process on 64bit Linux VM problems please install additional packages via the following steps:

Ubuntu 13.04 or later

sudo apt-get update
sudo aptitude install gcc-multilib
sudo apt-get install libxml2:i386
sudo aptitude install lib32z1
sudo apt-get install libcurl3:i386

If you do not get libxml2:i386 you have to enable multilib support first:

sudo dpkg --add-architecture i386
sudo apt-get update

If you want to use 32-bit installation MongoDB scenario on 64bit Linux dist you would have to install additional library:

sudo apt-get install lib32stdc++6
 For older Ubuntu (12.04 and below)

sudo -i
cd /etc/apt/sources.list.d
echo "deb http://old-releases.ubuntu.com/ubuntu/ raring main restricted universe multiverse" >ia32-libs-raring.list
apt-get update
apt-get install libgcc1:i386
apt-get install libxml2:i386
apt-get install ia32-libs
rm /etc/apt/sources.list.d/ia32-libs-raring.list
apt-get update
exit
# libgcc1 & libxml2 are needed by PHP

CentOS

sudo yum install zlib.i686
sudo yum install libcurl.i686
sudo yum install libxml2.i686

openSuse Leap

sudo zypper install zlib-devel-32bit
sudo zypper install libcurl-devel-32bit
sudo zypper install libxml2-2-32bit


#trackbackRdf ($trackbackUtils.getContentIdentifier($page) $page.title $trackbackUtils.getPingUrl($page))